using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Core;

[ComImport]
[Guid("144FBF76-E7FB-4B41-AE19-6B5AB0E0A89B")]
[SuppressUnmanagedCodeSecurity]
[ClassInterface(0)]
[TypeLibType(2)]
public class SurrogateRemoveClass : IDecalUninstall, SurrogateRemove
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	public virtual extern void Prepare([MarshalAs(UnmanagedType.Interface)] DecalEnum pEnum);

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	public virtual extern void Uninstall();
}
